﻿*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* 	P04_e2014_servicios.SPS.			   				 
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta de Condiciones de Vida 2013-2014				   *
* UNIDAD TÉCNICA RESPONSABLE: 												   *
* Dirección de Estudios de Poblacion y Condiciones de Vida			   *
* ENTIDAD EJECUTORA:														   *
* Instituto Nacional de Estadística y Censos (INEC)							   *
*==============================================================================*
* Elaborado :													
* Wladymir Brborich P.														   *
* última actualización: 24 de Febrero del 2015
*==============================================================================*
* Revisado :
* Diego Rojas
* Dirección de Estudios de Población y Condiciones de Vida (DEPCV)			   *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* diego_rojas@inec.gob.ec												   *
*==============================================================================*
* Aprobado :																  
* Andrea Molina Vera 														       *
* Coordinador General Técnica de Innovación en Métricas y Análisis de Información					       *
* andrea_molina@inec.gob.ec				   						       	   *
*==============================================================================*


GET
  FILE='C:\ECV2014\DATOS\ECV2014_per.sav'.

des var ph09a ph09b ph09c ph10a ph10b.

recode ph10b (-1, low thru 0 = sysmis) (else = copy).

if (ph09a = 1 and ph10a = 1) celular= ph10b.

des var celular.

WEIGHT
  OFF.

AGGREGATE
  /OUTFILE='C:\ECV2014\Datos\celular_hogar.sav'
  /BREAK=numhog
  /celular= SUM(celular).

GET
  FILE='C:\ECV2014\Datos\celular_hogar.sav'.

des var celular.

GET
  FILE='C:\ECV2014\DATOS\ECV2014_viv.sav'.

MATCH FILES /FILE=*
 /TABLE='C:\ECV2014\Datos\celular_hogar.sav'
 /BY numhog.

MATCH FILES /FILE=*
 /TABLE='C:\ECV2014\Datos\npers.sav'
 /BY numhog.

compute area = area_5000.

var lab area 'Area de Residencia 5000 Habitantes'.
val lab area 1'Urbano' 2'Rural'.

WEIGHT
  OFF.

* CONSUMO DE AGUA (SIN UTILIZAR LA ESTIMACION).

des var vi22a vi22b.

recode vi22a (-1, low thru 0, 9999 THRU HI  = sysmis) (else = copy) into vi22ax.
recode vi22b (0 = 1) (-1 = sysmis).
compute vi22an = vi22ax/vi22b.

des var vi22an.
freq var vi22an.

if(VI22AN > 90)VI22AN=90.
if (vi22 = 1) agua = vi22an.

des var agua.


* GASTO ELECTRICIDAD.

des var vi28a vi28b.
freq var vi28a.

recode vi28a (-1, 0, 9999 THRU HI = sysmis) (else = copy) into vi28ax.
recode vi28b (0 = 1) ( -1 = sysmis) (else = copy).
compute vi28an = vi28ax/vi28b.

des var vi28an.

if(VI28AN>=140)VI28AN=140.

if(VI28 = 1) electric=vi28an.
des var electric.

* CONSUMO TELEFONICO.

recode vi30a (-1, 0, low thru 0, 9999 THRU HI = sysmis) (else = copy) into vi30ax.
recode vi30b (0 = 1) ( -1 = sysmis) (else = copy).
compute vi30an = vi30ax/vi30b.
des var vi30an.

if(VI30AN >= 100)VI30AN=100.
if(celular >= 180) celular=180.

if((VI29 = 1 and vi30 = 1) or celular > 0) telefon=sum.1(vi30an,celular).

des var telefon vi30an celular.

* CONSUMO DE BASURA (No existe en 2006, 2014).

***** CONSUMO DE INTERNET ********.

recode vi32a (-1, low thru 0, 9999 THRU HI = sysmis) (else = copy) into vi32ax.
recode vi32b (0 = 1) ( -1 = sysmis) (else = copy).
compute vi32an = vi32ax/vi32b.
des var vi32an.

if(VI31 = 1 and vi32 = 1) INTERNET=vi32an.
des var INTERNET.

***** CONSUMO DE TV CABLE ********.

recode vi34a (-1, low thru 0, 9999 THRU HI  = sysmis) (else = copy) into vi34ax.
recode vi34b (0 = 1) ( -1 = sysmis) (else = copy).
compute vi34an = vi34ax/vi34b.
des var vi34an.

if(VI33 = 1 and vi34 = 1) TVCABLE=vi34an.
recode tvcable (110 thru hi = 110) (else = copy).
des var TVCABLE.

* OBTENEMOS LOS VALORES MEDIOS SEGUN AREA .

AGGREGATE
  /OUTFILE='C:\ECV2014\Datos\servicios_media_ECV2014.sav'
  /BREAK= area
  /MELECTRI = MEAN(ELECTRIC)
  /MTELEFON= MEAN(TELEFON)
  /MINTERNE= MEAN(INTERNET)
  /MTVCABLE= MEAN(TVCABLE).

* TRAEMOS A LA BASE DE TRABAJO LOS VALORES MEDIOS OBTENIDOS EN EL PASO ANTERIOR.

SORT CASES BY
  area (A) .

MATCH FILES /FILE=*
 /TABLE='C:\ECV2014\Datos\servicios_media_ECV2014.sav'
 /BY area.


SORT CASES BY
  numhog (A) .

IF (VI28 = 1 AND SYSMIS(ELECTRIC)) ELECTRIC = MELECTRI.
IF (VI29 = 1 AND VI30 = 1 AND SYSMIS(TELEFON)) TELEFON = MTELEFON.
IF (VI31 = 1 AND VI32 = 1 AND SYSMIS(INTERNET)) INTERNET= MINTERNE.
IF (VI33 = 1 AND VI34 = 1 AND SYSMIS(TVCABLE)) TVCABLE= MTVCABLE.

 var lab  electric 'Gasto mensual en electricidad'.
 var lab telefon 'Gasto mensual en servicio telef�ico convencional o celular'.
 var lab  internet 'Gasto mensual en internet'.
 var lab tvcable 'Gasto mensual en servicio de televisi� por cable'.

 var lab agua 'Gasto mensual en agua'.

*******Hay que sumar TVCABLE e INTERNET a XNFOOD de la secci� 10*********

des var vi37a vi38a vi39 vi40.
recode vi37a vi38a vi39 vi40 (-1, low thru 0 = sysmis) (else = copy).
des var vi37a vi38a vi39 vi40.

if (vi36 <= 2) vi3640 = vi37a.
if (vi36 = 3) vi3640 = vi39.
if (vi36 = 4) vi3640 = vi39.
if (vi36 >= 5 and vi36 <= 6) vi3640 = vi40.

des var vi3640.

compute renta = vi3640.
recode renta (1000 thru hi = 1000) (else = copy).

var lab renta 'Gasto mensual en renta'.

des var ELECTRIC TELEFON INTERNET TVCABLE agua renta.

SAVE OUTFILE='C:\ECV2014\Datos\ECV2014_SERVICIOS.SAV' keep AREA CIUDAD ZONA SECTOR VIVIENDA 
HOGAR REGIONAL PERIODO FASE totper NUMHOG ELECTRIC TELEFON INTERNET TVCABLE agua renta  /COMPRESSED.

GET
  FILE='C:\ECV2014\Datos\ECV2014_SERVICIOS.SAV'.

des var electric.
EXECUTE .
