﻿*==============================================================================*
* TÍTULO DE LA SINTAXIS:													   *
* 	P06_e2014_canastas_Lasperyres.SPS.			   				 
* OPERACIÓN ESTADÍSTICA:													   *
* Encuesta de Condiciones de Vida 2013-2014				   *
* UNIDAD TÉCNICA RESPONSABLE: 												   *
* Dirección de Estudios de Poblacion y Condiciones de Vida			   *
* ENTIDAD EJECUTORA:														   *
* Instituto Nacional de Estadística y Censos (INEC)							   *
*==============================================================================*
* Elaborado :													
* Wladymir Brborich P.														   *
* última actualización: 6 de abril del 2015
*==============================================================================*
* Revisado :
* Diego Rojas
* Dirección de Estudios de Población y Condiciones de Vida (DEPCV)			   *
* Instituto Nacional de Estadística y Censos (INEC)							   *
* diego_rojas@inec.gob.ec												   *
*==============================================================================*
* Aprobado :																  
* Andrea Molina Vera 														       *
* Coordinador General Técnica de Innovación en Métricas y Análisis de Información					       *
* andrea_molina@inec.gob.ec				   						       	   *
*==============================================================================*

********************Mucho cuidado con los deflactores temporales (ajustem2) y geogr�icos (deflac) **********************.

GET 
  FILE='C:\ECV2014\Datos\ecv2014_gasto_gramos.SAV'.

MATCH FILES /FILE=*
  /FILE='C:\ECV2014\Datos\ecv2014_consumo.SAV'
  /BY numhog.

********Gasto Mensual en alimentaci� por persona (Consumo + Autoconsumo)*********.

vector v1 = gastc001 to gastc111.
vector v2= gasta001 to gasta111.

vector gasto(111).
LOOP #I = 1 to 111.
COMPUTE gasto(#I)= sum.1(v1(#I),v2(#I))/totper.
END LOOP.

des var gasto1 to gasto111.



SAVE OUTFILE='C:\ECV2014\Datos\ecv2014_gastom.sav' keep numhog gasto1 to gasto111.


*************OJO**********FEXP***********************.

GET
  FILE='C:\ECV2014\Datos_p\ecv_fexp_fin.sav'.


SORT CASES BY idsector(A).


SAVE OUTFILE='C:\ECV2014\Datos_p\ecv_fexp_fin.sav'.



GET
  FILE='C:\ECV2014\Datos\ecv2014_gastom.sav'.

MATCH FILES /FILE=*
  /FILE='C:\ECV2014\Datos\ecv2014_consumo.SAV'
  /BY numhog.

compute idsector = ciudad * 10**6 + zona * 10**3 + sector.


MATCH FILES /FILE=*
  /TABLE='C:\ECV2014\Datos_p\ecv_fexp_fin.sav'
  /BY idsector.

******Ajuste debido al tiempo de recolecci�: El mensual lo llevamos Abril/Mayo/Junio promedio**************************.

if (periodo = 1) ajustem2 =  ( 148.12 + 148.06 + 148.22  ) / ( 3 * 145.16). 
if (periodo = 2) ajustem2 =  ( 148.12 + 148.06 + 148.22  ) / ( 3 * 145.46). 
if (periodo = 3) ajustem2 =  ( 148.12 + 148.06 + 148.22  ) / ( 3 * 146.51). 
if (periodo = 4) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 146.67). 
if (periodo = 5) ajustem2 =  ( 148.12 + 148.06 + 148.22  ) / ( 3 * 147.69). 
if (periodo = 6) ajustem2 =  ( 148.12 + 148.06 + 148.22  ) / ( 3 * 148.12). 
if (periodo = 7) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 148.06). 
if (periodo = 8) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 148.22). 
if (periodo = 9) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 148.81). 
if (periodo = 10) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 149.13). 
if (periodo = 11) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 150.04). 
if (periodo = 12) ajustem2 =  ( 148.12 + 148.06 + 148.22 ) /  ( 3 * 150.34). 

************************************************************************************.

compute gastalim = (sum.1 (alimen/totper,gasto111)).

compute consperc = sum.1 (con_noal/totper, gastalim) * ajustem2.

var lab consperc 'Consumo perc�ita mensual ($/persona)'.

des var consperc.


if (regiont =	1	and area =	1	) deflac =	 0.993310429 	.
if (regiont =	1	and area =	2	) deflac =	 1.002939990 	.
if (regiont =	2	and area =	1	) deflac =	 1.005746462 	.
if (regiont =	2	and area =	2	) deflac =	 1.002939990 	.
if (regiont =	3	and area =	1	) deflac =	 0.993310429 	.
if (regiont =	3	and area =	2	) deflac =	 1.002939990 	.

compute facper = fexp * totper.
compute ca = gastalim *  totper * ajustem2/deflac.
compute cn_01 = HHDURS2 * ajustem2/deflac.
compute cn_02 = educacio * ajustem2/deflac.
compute cn_03 = agua * ajustem2/deflac.
compute cn_04 = renta * ajustem2/deflac.
compute cn_05 = xvivi * ajustem2/deflac.
compute cn_06 = xnfood * ajustem2/deflac.
compute cn =  sum.1(cn_01 to cn_06).

if (cn >0 and ca >0) adjcap = sum.1 (ca, cn) / totper.
var lab cn_01'Durables'/cn_02'Educaci�'/cn_03'Agua'/cn_04'Arriendo'/cn_05'Otros Servicios Vivienda '/cn_06'Otros no alimenticios S10'/
cn'Consumo mensual de No Alimentos'/ca'Consumo mensual de Alimentos'/adjcap'Consumo perc�ita mensual ajustado'.


SAVE OUTFILE='C:\ECV2014\Datos\BASIC_2014.sav' keep numhog  AREA CIUDAD ZONA SECTOR VIVIENDA HOGAR PERIODO FASE provin regiont totper fexp facper deflac ajustem2 
cn_01 cn_02 cn_03 cn_04 cn_05 cn_06 cn ca adjcap/COMPRESSED.


GET FILE='C:\ECV2014\Datos\BASIC_2014.sav'.










